## povray 3.0.20

=== source/zlib/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-1996 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h 

# To compile and test, type:
#   ./configure; make test
# The call of configure is optional if you don't have special requirements

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=gcc

#CFLAGS=-O
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=-L. -lz
LDSHARED=$(CC) -shared

VER=1.0.4
LIBS=libz.so.$(VER)

AR=ar rc
RANLIB=ranlib
TAR=tar

prefix=/usr/local
exec_prefix =/usr/local

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infblock.o inftrees.o infcodes.o infutil.o inffast.o

TEST_OBJS = example.o minigzip.o

DISTFILES = README INDEX ChangeLog configure Make*[a-z0-9] descrip.mms \
	    zlib.def zlib.rc algorithm.doc  *.[ch]

all: example minigzip

test: all
	./example
	echo hello world | ./minigzip | ./minigzip -d 

libz.a: $(OBJS)
	$(AR) $@ $(OBJS)
	-@ ($(RANLIB) $@ || true) 2>/dev/null

libz.so.$(VER): $(OBJS)
	$(LDSHARED) -Wl,-soname,libz.so.1 -o $@ $(OBJS)
	rm -f libz.so; ln -s $@ libz.so

example: example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip: minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! $(prefix)/include  ]; then mkdir $(prefix)/include; fi
	-@if [ ! $(exec_prefix)/lib ]; then mkdir $(exec_prefix)/lib; fi
	cp zlib.h zconf.h $(prefix)/include
	chmod 644 $(prefix)/include/zlib.h $(prefix)/include/zconf.h
	cp $(LIBS) $(exec_prefix)/lib
	cd $(exec_prefix)/lib; chmod 644 $(LIBS)
	-@(cd $(exec_prefix)/lib; $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(exec_prefix)/lib; if test -f libz.so.$(VER); then \
	  ln -s libz.so.$(VER) libz.so; \
	fi
# The ranlib in install is needed on NeXTSTEP which checks file times

uninstall:
	cd $(exec_prefix)/lib; rm -f $(LIBS); \
	if test -f libz.so; then \
	 v=`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p'<$(prefix)/include/zlib.h`;\
	 rm -f libz.so.$$v libz.so; \
	fi
	cd $(prefix)/include; rm -f zlib.h zconf.h

clean:
	rm -f *.o *~ example minigzip libz.a libz.so* foo.gz

zip:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	v=`sed -n -e 's/\.//g' -e '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	zip -ul9 zlib$$v $(DISTFILES)
	mv Makefile~ Makefile

dist:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	d=zlib-`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	rm -f $$d.tar.gz; \
	if test ! -d ../$$d; then rm -f ../$$d; ln -s `pwd` ../$$d; fi; \
	files=""; \
	for f in $(DISTFILES); do files="$$files $$d/$$f"; done; \
	cd ..; \
	GZIP=-9 $(TAR) chofz $$d/$$d.tar.gz $$files; \
	if test ! -d $$d; then rm -f $$d; fi
	mv Makefile~ Makefile

tags:	
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
infblock.o: infblock.h inftrees.h infcodes.h infutil.h zutil.h zlib.h zconf.h
infcodes.o: zutil.h zlib.h zconf.h
infcodes.o: inftrees.h infblock.h infcodes.h infutil.h inffast.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h
inffast.o: infblock.h infcodes.h infutil.h inffast.h
inflate.o: zutil.h zlib.h zconf.h infblock.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
infutil.o: zutil.h zlib.h zconf.h infblock.h inftrees.h infcodes.h infutil.h
minigzip.o:  zlib.h zconf.h 
trees.o: deflate.h zutil.h zlib.h zconf.h 
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

## povray 3.5

=== debian/changelog ===
povray (1:3.5) unstable; urgency=low

  * New maintainer: Jeroen van Wolffelaar (Closes: #222379)
  * Replaced old povray package with dummy package, old 3.5 packages are moved
    to povray-3.5; the last 3.0 version forked to povray-3.0

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sun, 25 Jan 2004 03:18:19 +0100

=== debian/control ===
Source: povray
Section: non-free/graphics
Priority: extra
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Build-Depends-Indep: debhelper (>= 4)
Standards-Version: 3.6.1

Package: povray
Architecture: all
Depends: povray-3.5 | povray-3.0, ${misc:Depends}
Conflicts: povray-manual, povray-doc, povray-misc
Description: Dummy package depending on any concrete POV-Ray package
 You can install this package to get any version of POV-Ray installed. This
 package contains nothing useful, it's only for easing upgrades. You can
 safely remove this package if you want.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean 

build:

binary-arch:

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## povray 3.7.0.0

=== libraries/tiff/libtiff/SConstruct ===
# $Id: SConstruct,v 1.2 2006/03/23 14:54:02 dron Exp $

# Tag Image File Format (TIFF) Software
#
# Copyright (C) 2005, Andrey Kiselev <dron@ak4719.spb.edu>
#
# Permission to use, copy, modify, distribute, and sell this software and 
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
# 
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
# 
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
# OF THIS SOFTWARE.

# This file contains rules to build software with the SCons tool
# (see the http://www.scons.org/ for details on SCons).

# Import globally defined options
Import([ 'env', 'idir_lib' ])

SRCS = [ \
	'tif_aux.c', \
	'tif_close.c', \
	'tif_codec.c', \
	'tif_color.c', \
	'tif_compress.c', \
	'tif_dir.c', \
	'tif_dirinfo.c', \
	'tif_dirread.c', \
	'tif_dirwrite.c', \
	'tif_dumpmode.c', \
	'tif_error.c', \
	'tif_extension.c', \
	'tif_fax3.c', \
	'tif_fax3sm.c', \
	'tif_flush.c', \
	'tif_getimage.c', \
	'tif_jpeg.c', \
	'tif_luv.c', \
	'tif_lzw.c', \
	'tif_next.c', \
	'tif_ojpeg.c', \
	'tif_open.c', \
	'tif_packbits.c', \
	'tif_pixarlog.c', \
	'tif_predict.c', \
	'tif_print.c', \
	'tif_read.c', \
	'tif_strip.c', \
	'tif_swab.c', \
	'tif_thunder.c', \
	'tif_tile.c', \
	'tif_unix.c', \
	'tif_version.c', \
	'tif_warning.c', \
	'tif_write.c', \
	'tif_zip.c' ]

StaticLibrary('tiff', SRCS)
SharedLibrary('tiff', SRCS)

=== unix/icons/source/Makefile ===
### Makefile --- 
#   Makefile for POV-Ray 3.6 for UNIX icons

## Author: chris_hormann@gmx.de
## Version: $Id: Makefile,v 0.0 2004/05/12 16:21:28 chris Exp $
## Keywords: 
## X-URL: 

default: all

all: file_logos

# --------- logos ---------

pov_logos:
	povray -iicon.pov -p -w16 -h16 +a0.0 -j +r8 +ua DECLARE=Image=2 -ofile_pov_16.png
	povray -iicon.pov -p -w32 -h32 +a0.0 -j +r6 +ua DECLARE=Image=2 -ofile_pov_32.png
	povray -iicon.pov -p -w48 -h48 +a0.0 -j +r4 +ua DECLARE=Image=2 -ofile_pov_48.png
	povray -iicon.pov -p -w64 -h64 +a0.0 -j +r4 +ua DECLARE=Image=2 -ofile_pov_64.png
	povray -iicon.pov -p -w16 -h16 +a0.0 -j +r8 +ua DECLARE=Image=3 -ofile_inc_16.png
	povray -iicon.pov -p -w32 -h32 +a0.0 -j +r6 +ua DECLARE=Image=3 -ofile_inc_32.png
	povray -iicon.pov -p -w48 -h48 +a0.0 -j +r4 +ua DECLARE=Image=3 -ofile_inc_48.png
	povray -iicon.pov -p -w64 -h64 +a0.0 -j +r4 +ua DECLARE=Image=3 -ofile_inc_64.png
	povray -iicon.pov -p -w16 -h16 +a0.0 -j +r8 +ua DECLARE=Image=5 -oshadow_16.png
	povray -iicon.pov -p -w32 -h32 +a0.0 -j +r6 +ua DECLARE=Image=5 -oshadow_32.png
	povray -iicon.pov -p -w48 -h48 +a0.0 -j +r4 +ua DECLARE=Image=5 -oshadow_48.png
	povray -iicon.pov -p -w64 -h64 +a0.0 -j +r4 +ua DECLARE=Image=5 -oshadow_64.png
	povray -iicon.pov -p -w16 -h16 +a0.0 -j +r8 +ua DECLARE=Image=1 -opovray_16.png
	povray -iicon.pov -p -w32 -h32 +a0.0 -j +r6 +ua DECLARE=Image=1 -opovray_32.png
	povray -iicon.pov -p -w48 -h48 +a0.0 -j +r4 +ua DECLARE=Image=1 -opovray_48.png
	povray -iicon.pov -p -w64 -h64 +a0.0 -j +r4 +ua DECLARE=Image=1 -opovray_64.png

file_logos_crystal:
	composite -compose Multiply shadow_16.png crystal_16.png crystal_shadow1_16.png
	composite -compose Multiply shadow_32.png crystal_32.png crystal_shadow1_32.png
	composite -compose Multiply shadow_48.png crystal_48.png crystal_shadow1_48.png
	composite -compose Multiply shadow_64.png crystal_64.png crystal_shadow1_64.png
	composite -compose CopyOpacity crystal_16.png crystal_shadow1_16.png crystal_shadow_16.png
	composite -compose CopyOpacity crystal_32.png crystal_shadow1_32.png crystal_shadow_32.png
	composite -compose CopyOpacity crystal_48.png crystal_shadow1_48.png crystal_shadow_48.png
	composite -compose CopyOpacity crystal_64.png crystal_shadow1_64.png crystal_shadow_64.png
	rm -f crystal_shadow1_16.png crystal_shadow1_32.png crystal_shadow1_48.png crystal_shadow1_64.png
	composite -compose Over file_pov_16.png crystal_shadow_16.png file_pov_crystal_16.png
	composite -compose Over file_pov_32.png crystal_shadow_32.png file_pov_crystal_32.png
	composite -compose Over file_pov_48.png crystal_shadow_48.png file_pov_crystal_48.png
	composite -compose Over file_pov_64.png crystal_shadow_64.png file_pov_crystal_64.png
	composite -compose Over file_inc_16.png crystal_shadow_16.png file_inc_crystal_16.png
	composite -compose Over file_inc_32.png crystal_shadow_32.png file_inc_crystal_32.png
	composite -compose Over file_inc_48.png crystal_shadow_48.png file_inc_crystal_48.png
	composite -compose Over file_inc_64.png crystal_shadow_64.png file_inc_crystal_64.png

file_logos_classic:
	composite -compose Multiply shadow_16.png classic_16.png classic_shadow1_16.png
	composite -compose Multiply shadow_32.png classic_32.png classic_shadow1_32.png
	composite -compose Multiply shadow_48.png classic_48.png classic_shadow1_48.png
	composite -compose Multiply shadow_64.png classic_64.png classic_shadow1_64.png
	composite -compose CopyOpacity classic_16.png classic_shadow1_16.png classic_shadow_16.png
	composite -compose CopyOpacity classic_32.png classic_shadow1_32.png classic_shadow_32.png
	composite -compose CopyOpacity classic_48.png classic_shadow1_48.png classic_shadow_48.png
	composite -compose CopyOpacity classic_64.png classic_shadow1_64.png classic_shadow_64.png
	rm -f classic_shadow1_16.png classic_shadow1_32.png classic_shadow1_48.png classic_shadow1_64.png
	composite -compose Over file_pov_16.png classic_shadow_16.png file_pov_classic_16.png
	composite -compose Over file_pov_32.png classic_shadow_32.png file_pov_classic_32.png
	composite -compose Over file_pov_48.png classic_shadow_48.png file_pov_classic_48.png
	composite -compose Over file_pov_64.png classic_shadow_64.png file_pov_classic_64.png
	composite -compose Over file_inc_16.png classic_shadow_16.png file_inc_classic_16.png
	composite -compose Over file_inc_32.png classic_shadow_32.png file_inc_classic_32.png
	composite -compose Over file_inc_48.png classic_shadow_48.png file_inc_classic_48.png
	composite -compose Over file_inc_64.png classic_shadow_64.png file_inc_classic_64.png

file_logos_slick:
	composite -compose Multiply shadow_16.png slick_16.png slick_shadow1_16.png
	composite -compose Multiply shadow_32.png slick_32.png slick_shadow1_32.png
	composite -compose Multiply shadow_48.png slick_48.png slick_shadow1_48.png
	composite -compose Multiply shadow_64.png slick_64.png slick_shadow1_64.png
	composite -compose CopyOpacity slick_16.png slick_shadow1_16.png slick_shadow_16.png
	composite -compose CopyOpacity slick_32.png slick_shadow1_32.png slick_shadow_32.png
	composite -compose CopyOpacity slick_48.png slick_shadow1_48.png slick_shadow_48.png
	composite -compose CopyOpacity slick_64.png slick_shadow1_64.png slick_shadow_64.png
	rm -f slick_shadow1_16.png slick_shadow1_32.png slick_shadow1_48.png slick_shadow1_64.png
	composite -compose Over file_pov_16.png slick_shadow_16.png file_pov_slick_16.png
	composite -compose Over file_pov_32.png slick_shadow_32.png file_pov_slick_32.png
	composite -compose Over file_pov_48.png slick_shadow_48.png file_pov_slick_48.png
	composite -compose Over file_pov_64.png slick_shadow_64.png file_pov_slick_64.png
	composite -compose Over file_inc_16.png slick_shadow_16.png file_inc_slick_16.png
	composite -compose Over file_inc_32.png slick_shadow_32.png file_inc_slick_32.png
	composite -compose Over file_inc_48.png slick_shadow_48.png file_inc_slick_48.png
	composite -compose Over file_inc_64.png slick_shadow_64.png file_inc_slick_64.png

file_logos: pov_logos
	$(MAKE) file_logos_crystal
	$(MAKE) file_logos_classic
	$(MAKE) file_logos_slick


### Makefile ends here

=== debian/changelog ===
povray (1:3.7.0.0-8build1) wily; urgency=medium

  * No-change rebuild against libopenexr22.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 12:27:00 +0200

povray (1:3.7.0.0-8) unstable; urgency=medium

  * no-usr-local.patch: Fix references to /usr/local/etc in example scripts.
    (LP: #1343048)
  * report-missing-povray-examples.patch: Let scripts report that
    povray-examples may be needed if scene data cannot be found.
  * povray-examples: Add symlink at upstream's location for the scenes:
      /usr/share/povray-3.7/scenes -> ../doc/povray/examples
  * scene-directory-symlink.patch: Let scripts cope with SCENE_DIR being a
    symlink.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jan 2015 00:03:59 +0100

povray (1:3.7.0.0-7) unstable; urgency=medium

  * 40_bashism.diff: Use bash as the interpreter for scripts that use
    non-posix extensions of the 'read' builtin (allanim.sh, allscene.sh,
    portfolio.sh). Patch all scripts consistently.  (Closes: #772356)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Dec 2014 11:05:58 +0100

povray (1:3.7.0.0-6) unstable; urgency=medium

  * povray.maintscript: New. Use dpkg-maintscript-helper to rename the
    conffiles from the squeeze package: /etc/povray/3.6/povray.{ini,conf} to
    /etc/povray/3.7/povray.{ini,conf}. Needs ${misc:Pre-Depends}.
  * povray.preinst: Remove. Directly renaming the directory resulted in dpkg
    prompting about modified conffiles.
  * povray.postinst: New. Remove the empty directory /etc/povray/3.6 after
    dpkg-maintscript-helper handled the conffiles.
  * Update Vcs-Browser URL.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Dec 2014 01:47:17 +0100

povray (1:3.7.0.0-5) unstable; urgency=medium

  * povray-includes: No longer use a symlinked doc directory to restore
    installability along binNMUs of the povray binary package.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Sep 2014 17:55:02 +0200

povray (1:3.7.0.0-4) unstable; urgency=medium

  * kfreebsd.patch: Detect kFreeBSD as BSD-style Unix to fix FTBFS, thanks to
    Graham Inggs.  (Closes: #745447)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 May 2014 04:32:31 +0200

povray (1:3.7.0.0-3) unstable; urgency=medium

  * Perform render test without display and pause.  (Closes: #746365)
  * Configure with --disable-strip - let dh_strip do this job.
  * verify_POV_LONG_is_64bit.patch: Verify that POV_LONG is a 64bit integer.
  * correctly_use_POSIX_V6_LP64_OFF64.patch: Fix the usage of
    POSIX_V6_LP64_OFF64 etc. for detecting sizeof(long).  (Closes: #745448)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 14:27:52 +0200

povray (1:3.7.0.0-2) unstable; urgency=medium

  * Do not create user directories during package build.  (Closes: #745449)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Apr 2014 13:15:06 +0200

povray (1:3.7.0.0-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.  (Closes: #729754, #686510)
  * New maintainer.
  * POV-ray is now licensed under GNU AGPL-3.0+.
  * Sample scenes and includes are licensed under CC-BY-SA-3.0/CC-BY-3.0.
  * Move the package back from non-free into main.
  * Switch to source format 3.0 (quilt).
  * Refresh patches: 10_includes-location, 40_bashism.diff.
  * Remove patch: 20_glass.diff, fixed upstream.
  * Disable patch: 80_beta.diff.
  * Cherry-picked build system fixes from upstream git:
    0001-quiet-compiler-warnings-building-with-gcc-and-clang.patch
    0002-Account-for-changes-in-boost-dependencies.patch
    0003-Make-sure-Makefile.in-gets-generated-properly.patch
    0004-Fix-for-configure-attempting-to-link-boost_system-ev.patch
    0005-fix-typo-in-configure.ac.patch
    0006-fix-GitHub-issues-5-and-6.patch
    0007-added-header-files-to-hold-Unix-flavor-specific-conf.patch
  * Add new patch to fix some typos: fix-typos.patch.
  * Switch to debhelper compat level 9.
  * Bump Standards-Version to 3.9.5.
  * Update Build-Depends.
  * Build against libopenexr, libsdl, and libxpm.
  * Ensure to build against system libraries.  (Closes: #684247)
  * Install files in upstream's default (/usr/share/povray-3.7).
  * d/rules: Run unix/pre-build.sh to generate configure.
  * d/rules: Minimize and use dh.
  * d/watch: Point to github.
  * d/povray.docs: Add more documentation.
  * Install changes.txt as upstream changelog.
  * Disable building the currently empty povray-doc package.
  * Remove Suggests: kpovmodeler (was for KDE3 only).  (Closes: #687948)
  * Apply manpage patch from Olivier STOLTZ DOUCHET: povray.man.patch.
    (Closes: #501591, #501592)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Jan 2014 18:34:39 +0100

povray (1:3.7.0~beta29-1) experimental; urgency=low

  * New Upstream beta version.
  * Fix debian/watch.
  * Implement get-orig-source in debian/rules.
  * Add Vcs headers to debian/control.
  * Bump up Standards-Version: 3.8.0.
  * Add patch 80_beta.diff to not disable beta versions.

 -- Torsten Werner <twerner@debian.org>  Thu, 15 Jan 2009 22:56:42 +0100

povray (1:3.7.0~beta25b-1) experimental; urgency=low

  * New Upstream beta Version (Closes: #469302)
  * Updated debian/watch for the new version.
  * Disable or refresh old patches.
  * Do not run automake any more.
  * Add a patch for g++-4.3.
  * Rename /etc/povray/3.6 to /etc/povray/3.7 in preinst.
  * Create patch 40_bashism.diff.
  * Reformat debian/copyright a bit.

 -- Torsten Werner <twerner@debian.org>  Fri, 15 Aug 2008 05:18:09 +0200

povray (1:3.6.1-12) unstable; urgency=low

  * Fix bashisms. (Closes: #489644)

 -- Torsten Werner <twerner@debian.org>  Sun, 20 Jul 2008 22:19:49 +0200

povray (1:3.6.1-11) unstable; urgency=low

  * Remove Joel Alwin from Uploaders field. (Closes: #465938)

 -- Torsten Werner <twerner@debian.org>  Sun, 30 Mar 2008 00:48:52 +0100

povray (1:3.6.1-10) unstable; urgency=low



=== debian/control ===
Source: povray
Section: graphics
Priority: extra
Maintainer: Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper (>= 9),
 automake,
 libpng-dev,
 zlib1g-dev,
 libx11-dev,
 libxt-dev,
 libice-dev,
 libjpeg-dev,
 libtiff-dev,
 pkg-config,
 libboost-thread-dev,
 libopenexr-dev,
 libsdl-dev,
 libxpm-dev,
Standards-Version: 3.9.6
Homepage: http://www.povray.org
Vcs-Git: git://anonscm.debian.org/collab-maint/povray.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/povray.git

Package: povray
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: povray-includes
Suggests: povray-doc, povray-examples
Replaces: povray-3.6, povray-3.5
Conflicts: povray-3.6, povray-3.5
Description: Persistence of vision raytracer (3D renderer)
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 povray-includes is highly recommended in addition to this package.

Package: povray-includes
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: povray, ${misc:Depends}
Description: Persistance of vision raytracer (3D renderer) include files
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 This package contains architecture independent include files.

Package: povray-examples
Architecture: all
Depends: povray-includes, ${misc:Depends}
Suggests: povray
Description: Persistence of vision raytracer (3D renderer) sample files
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 This package contains sample files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O3
	
	# This is rumoured to give wrong results with zero-thickness boxes, so
	# disabled
	# CXXFLAGS += -ffast-math
		
	ifeq ($(DEB_HOST_ARCH),i386)
		 CXXFLAGS += -minline-all-stringops -malign-double
	endif
endif

LDFLAGS	+= -Wl,--as-needed


%:
	dh $@ --parallel

override_dh_auto_configure:
	if [ -d libraries ] && [ ! -d libraries.donotuse ] ; then mv -v libraries libraries.donotuse ; fi
	cd unix && ./prebuild.sh
	dh_auto_configure -- \
		--disable-optimiz \
		--disable-strip \
		--with-boost-thread=boost_thread \
		COMPILED_BY="$(shell dpkg-parsechangelog | sed -n '/^Maintainer/{s/Maintainer: //;s/@debian.org/ at debian dot org/;p}') for Debian <www.debian.org>" \
		CXXFLAGS="$(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	dh_auto_clean
	-cd unix && ./prebuild.sh clean
	if [ -d libraries.donotuse ] && [ ! -d libraries ] ; then mv -v libraries.donotuse libraries ; fi
	-test ! -d .git || git checkout libraries

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs changes.txt

override_dh_compress:
	dh_compress -X usr/share/doc/povray/examples

## povray 3.7.0.4

=== debian/changelog ===
povray (1:3.7.0.4-2) unstable; urgency=medium

  * Fix kFreeBSD detection.
  * Relax prebuild.sh directory check if $0 contains an absolute path, fixing
    FTBFS on Hurd and kFreeBSD.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Nov 2017 04:07:31 +0100

povray (1:3.7.0.4-1) unstable; urgency=medium

  * New upstream release.
    * Supports C++11.
  * Refresh/remove patches that were cherry-picked from upstream git.
  * Refresh debian/copyright for updated convenience libraries.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.1.
  * Switch to debhelper compat level 10.
  * Enable more hardening.
  * Switch from dh_install --list-missing to dh_missing.
  * Set Rules-Requires-Root: no.
  * Build again povray-doc, 3.7.0.1 brought back the documentation.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Nov 2017 19:09:13 +0100

povray (1:3.7.0.0-9) unstable; urgency=medium

  * Explicitly build with -std=c++03 to support GCC 6.  (Closes: #811802)
  * Link with -lboost_date_time, needed for DEB_BUILD_OPTIONS=noopt.
    (Closes: #809912)
  * Fix more typos.
  * Update Vcs-Git URL.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Mar 2016 17:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: povray
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Andreas Beckmann <anbe@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  automake,
  libpng-dev,
  zlib1g-dev,
@@ -17,9 +17,10 @@
  libopenexr-dev,
  libsdl-dev,
  libxpm-dev,
-Standards-Version: 3.9.6
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
 Homepage: http://www.povray.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/povray.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/povray.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/povray.git
 
 Package: povray
@@ -50,7 +51,7 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: povray, ${misc:Depends}
-Description: Persistance of vision raytracer (3D renderer) include files
+Description: Persistence of vision raytracer (3D renderer) include files
  POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
  and light sources of the real world to calculate photorealistic, computer
  generated images. Because of the nature of ray tracing, this process is
@@ -65,6 +66,27 @@
  tools to generate (parts of) the scene.
  .
  This package contains architecture independent include files.
+
+Package: povray-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: povray
+Description: Persistence of vision raytracer (3D renderer) documentation
+ POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
+ and light sources of the real world to calculate photorealistic, computer
+ generated images. Because of the nature of ray tracing, this process is
+ quite CPU-intensive, at the benefit of more realistic images compared to
+ real time rendering techniques. For example, in POV-Ray, you can model a
+ glass prism, and you will see a spectrum in the resulting image.
+ .
+ POV-Ray by itself is a command-line utility that will take scene
+ descriptions, written in a special easy-to-understand language, to
+ produce ray-traced images (or even a sequence of images, for animations).
+ You can either write those scene-descriptions by hand, or use external
+ tools to generate (parts of) the scene.
+ .
+ This package contains the full POV-Ray manual.
 
 Package: povray-examples
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CXXFLAGS += -O3
@@ -40,8 +44,8 @@
 	if [ -d libraries.donotuse ] && [ ! -d libraries ] ; then mv -v libraries.donotuse libraries ; fi
 	-test ! -d .git || git checkout libraries
 
-override_dh_install:
-	dh_install --list-missing
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs changes.txt

=== debian/watch ===
version=3
https://github.com/POV-Ray/povray/releases .*/v(.*).tar.gz

## povray 3.7.0.7

=== debian/changelog ===
povray (1:3.7.0.7-1build2) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:02:29 +0000

povray (1:3.7.0.7-1build1) cosmic; urgency=medium

  * No-change rebuild against latest openexr

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 11 May 2018 14:14:53 -0400

povray (1:3.7.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Mark povray-doc as Multi-Arch: foreign.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Apr 2018 01:30:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Andreas Beckmann <anbe@debian.org>
 Build-Depends:
- debhelper (>= 10),
- automake,
+ debhelper (>= 11~),
  libpng-dev,
  zlib1g-dev,
  libx11-dev,
@@ -18,10 +17,10 @@
  libsdl-dev,
  libxpm-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://www.povray.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/povray.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/povray.git
+Vcs-Browser: https://salsa.debian.org/debian/povray
+Vcs-Git: https://salsa.debian.org/debian/povray.git
 
 Package: povray
 Architecture: any
@@ -70,6 +69,7 @@
 Package: povray-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: povray
 Description: Persistence of vision raytracer (3D renderer) documentation

## povray 3.7.0.8

=== libraries/ilmbase/CMakeLists.txt ===
# yue.nicholas@gmail.com
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT ( ilmbase )

SET(ILMBASE_VERSION_MAJOR "2")
SET(ILMBASE_VERSION_MINOR "2")
SET(ILMBASE_VERSION_PATCH "0")

SET(ILMBASE_VERSION ${ILMBASE_VERSION_MAJOR}.${ILMBASE_VERSION_MINOR}.${ILMBASE_VERSION_PATCH})
SET(ILMBASE_VERSION_API ${ILMBASE_VERSION_MAJOR}_${ILMBASE_VERSION_MINOR})


ENABLE_TESTING()

SET(CPACK_PACKAGE_VERSION_MAJOR "${ILMBASE_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${ILMBASE_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${ILMBASE_VERSION_PATCH}")
SET(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${ILMBASE_VERSION}"
  )
set(CPACK_SOURCE_IGNORE_FILES
  "/.git*;/.cvs*;${CPACK_SOURCE_IGNORE_FILES}")
INCLUDE ( CPack )


# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" ON)

# Allow the developer to select if Dynamic or Static libraries are built
OPTION (NAMESPACE_VERSIONING "Namespace Versioning" ON)

# Setup osx rpathing
SET (CMAKE_MACOSX_RPATH 1)
SET (BUILD_WITH_INSTALL_RPATH 1)

IF ( NOT WIN32)
  ADD_DEFINITIONS ( -pthread )
ENDIF ()

INCLUDE_DIRECTORIES ( Iex IexMath Imath Half ${CMAKE_CURRENT_BINARY_DIR}/config IlmThread IexTest ImathTest HalfTest )

# also add the current directory to pick up the autogenerated headers
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

MACRO(GET_TARGET_PROPERTY_WITH_DEFAULT _variable _target _property _default_value)
   GET_TARGET_PROPERTY (${_variable} ${_target} ${_property})
   IF (${_variable} MATCHES NOTFOUND)
     SET (${_variable} ${_default_value})
   ENDIF (${_variable} MATCHES NOTFOUND)
 ENDMACRO (GET_TARGET_PROPERTY_WITH_DEFAULT)

 MACRO(CREATE_LIBTOOL_FILE _target _install_DIR)
   GET_TARGET_PROPERTY(_target_location ${_target} LOCATION)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_static_lib ${_target} STATIC_LIB "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dependency_libs ${_target} LT_DEPENDENCY_LIBS "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_current ${_target} LT_VERSION_CURRENT 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_age ${_target} LT_VERSION_AGE 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_revision ${_target} LT_VERSION_REVISION 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_installed ${_target} LT_INSTALLED yes)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_shouldnotlink ${_target} LT_SHOULDNOTLINK yes)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dlopen ${_target} LT_DLOPEN "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dlpreopen ${_target} LT_DLPREOPEN "")
   GET_FILENAME_COMPONENT(_laname ${_target_location} NAME_WE)
   GET_FILENAME_COMPONENT(_soname ${_target_location} NAME)
   SET(_laname ${PROJECT_BINARY_DIR}/${_laname}.la)
   FILE(WRITE ${_laname} "# ${_laname} - a libtool library file\n")
   FILE(APPEND ${_laname} "# Generated by CMake ${CMAKE_VERSION} (like GNU libtool)\n")
   FILE(APPEND ${_laname} "\n# Please DO NOT delete this file!\n# It is necessary for linking the library with libtool.\n\n" )
   FILE(APPEND ${_laname} "# The name that we can dlopen(3).\n")
   FILE(APPEND ${_laname} "dlname='${_soname}'\n\n")
   FILE(APPEND ${_laname} "# Names of this library.\n")
   FILE(APPEND ${_laname} "library_names='${_soname}.${_target_current}.${_target_age}.${_target_revision} ${_soname}.${_target_current} ${_soname}'\n\n")
   FILE(APPEND ${_laname} "# The name of the static archive.\n")
   FILE(APPEND ${_laname} "old_library='${_target_static_lib}'\n\n")
   FILE(APPEND ${_laname} "# Libraries that this one depends upon.\n")
   FILE(APPEND ${_laname} "dependency_libs='${_target_dependency_libs}'\n\n")
   FILE(APPEND ${_laname} "# Names of additional weak libraries provided by this library\n")
   FILE(APPEND ${_laname} "weak_library_names=\n\n")
   FILE(APPEND ${_laname} "# Version information for ${_laname}.\n")
   FILE(APPEND ${_laname} "current=${_target_current}\n")
   FILE(APPEND ${_laname} "age=${_target_age}\n")
   FILE(APPEND ${_laname} "revision=${_target_revision}\n\n")
   FILE(APPEND ${_laname} "# Is this an already installed library?\n")
   FILE(APPEND ${_laname} "installed=${_target_installed}\n\n")
   FILE(APPEND ${_laname} "# Should we warn about portability when linking against -modules?\n")
   FILE(APPEND ${_laname} "shouldnotlink=${_target_shouldnotlink}\n\n")
   FILE(APPEND ${_laname} "# Files to dlopen/dlpreopen\n")
   FILE(APPEND ${_laname} "dlopen='${_target_dlopen}'\n")
   FILE(APPEND ${_laname} "dlpreopen='${_target_dlpreopen}'\n\n")
   FILE(APPEND ${_laname} "# Directory that this library needs to be installed in:\n")
   FILE(APPEND ${_laname} "libdir='${CMAKE_INSTALL_PREFIX}${_install_DIR}'\n")
   INSTALL( FILES ${_laname} DESTINATION ${CMAKE_INSTALL_PREFIX}${_install_DIR})
 ENDMACRO(CREATE_LIBTOOL_FILE)

SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE variable to CMake keyword 'SHARED'
  SET (LIB_TYPE SHARED)
  IF (WIN32)
    ADD_DEFINITIONS(-DOPENEXR_DLL)
  ENDIF ()
ENDIF (BUILD_SHARED_LIBS)


ADD_SUBDIRECTORY ( Half )
ADD_SUBDIRECTORY ( Iex )
ADD_SUBDIRECTORY ( IexMath )
ADD_SUBDIRECTORY ( Imath )
ADD_SUBDIRECTORY ( IlmThread )

IF (WIN32)
  FILE ( COPY ${CMAKE_CURRENT_SOURCE_DIR}/config.windows/IlmBaseConfig.h
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/config
    )
ELSE ()
  IF (APPLE)
    FILE ( WRITE  ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define HAVE_PTHREAD 1\n" )
  ELSE ()
    FILE ( WRITE  ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define HAVE_PTHREAD 1\n" )
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_HAVE_LARGE_STACK  1\n" )
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define HAVE_POSIX_SEMAPHORES 1\n" )
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_HAVE_CONTROL_REGISTER_SUPPORT 1\n")
  ENDIF ()
ENDIF ()

IF (NAMESPACE_VERSIONING)
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_INTERNAL_NAMESPACE_CUSTOM 1\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IMATH_INTERNAL_NAMESPACE Imath_${ILMBASE_VERSION_API}\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IEX_INTERNAL_NAMESPACE Iex_${ILMBASE_VERSION_API}\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMTHREAD_INTERNAL_NAMESPACE IlmThread_${ILMBASE_VERSION_API}\n")
ELSE ()
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_INTERNAL_NAMESPACE_CUSTOM 0\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IMATH_INTERNAL_NAMESPACE Imath\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IEX_INTERNAL_NAMESPACE Iex\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMTHREAD_INTERNAL_NAMESPACE IlmThread\n")
ENDIF ()

FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IMATH_NAMESPACE Imath\n")
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IEX_NAMESPACE Iex\n")
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMTHREAD_NAMESPACE IlmThread\n")
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_STRING \"${ILMBASE_VERSION}\"\n" )
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_PACKAGE_STRING \"IlmBase ${ILMBASE_VERSION}\"\n" )
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_MAJOR ${ILMBASE_VERSION_MAJOR}\n" )
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_MINOR ${ILMBASE_VERSION_MINOR}\n" )
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_PATCH ${ILMBASE_VERSION_PATCH}\n" )

FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "
// Version as a single hex number, e.g. 0x01000300 == 1.0.3
#define ILMBASE_VERSION_HEX ((ILMBASE_VERSION_MAJOR << 24) | \\
                             (ILMBASE_VERSION_MINOR << 16) | \\
                             (ILMBASE_VERSION_PATCH <<  8))
")

SET (ILMBASE_LIBSUFFIX "")
IF (NAMESPACE_VERSIONING)
  SET ( ILMBASE_LIBSUFFIX "-${ILMBASE_VERSION_API}" )
ENDIF ()

SET_TARGET_PROPERTIES ( Half
  PROPERTIES
  VERSION 12.0.0
  SOVERSION 12
  )
SET_TARGET_PROPERTIES ( Iex
  PROPERTIES
  VERSION 12.0.0
  SOVERSION 12
  OUTPUT_NAME "Iex${ILMBASE_LIBSUFFIX}"
  )
SET_TARGET_PROPERTIES ( Imath
  PROPERTIES
  VERSION 12.0.0
  SOVERSION 12
  OUTPUT_NAME "Imath${ILMBASE_LIBSUFFIX}"
  )
SET_TARGET_PROPERTIES ( IlmThread
  PROPERTIES
  VERSION 12.0.0
  SOVERSION 12
  OUTPUT_NAME "IlmThread${ILMBASE_LIBSUFFIX}"
  )
SET_TARGET_PROPERTIES ( IexMath
  PROPERTIES
  VERSION 12.0.0
  SOVERSION 12
  OUTPUT_NAME "IexMath${ILMBASE_LIBSUFFIX}"
  )

IF ( NOT WIN32 )
  CREATE_LIBTOOL_FILE ( Half /lib )
  CREATE_LIBTOOL_FILE ( Iex /lib )
  CREATE_LIBTOOL_FILE ( IexMath /lib )
  CREATE_LIBTOOL_FILE ( Imath /lib )
  CREATE_LIBTOOL_FILE ( IlmThread /lib )
ENDIF ()

# Tests

ADD_SUBDIRECTORY ( HalfTest )
ADD_SUBDIRECTORY ( IexTest )
ADD_SUBDIRECTORY ( ImathTest )

# Installation

INSTALL ( FILES 
  ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h
  DESTINATION
  include/OpenEXR

)

FILE ( WRITE ${CMAKE_BINARY_DIR}/IlmBase.pc "prefix=${CMAKE_INSTALL_PREFIX}\n" )
FILE ( APPEND ${CMAKE_BINARY_DIR}/IlmBase.pc "exec_prefix=\${prefix}
libdir=\${exec_prefix}/lib
includedir=\${prefix}/include
OpenEXR_includedir=\${prefix}/include/OpenEXR

Name: IlmBase
Description: Base math and exception libraries
Version: ${ILMBASE_VERSION}
Libs: -L\${libdir} -lImath${ILMBASE_LIBSUFFIX} -lIexMath${ILMBASE_LIBSUFFIX} -lHalf -lIex${ILMBASE_LIBSUFFIX} -lIlmThread${ILMBASE_LIBSUFFIX} -pthread
Cflags: -pthread -I\${OpenEXR_includedir}
")

INSTALL ( FILES
  ${CMAKE_BINARY_DIR}/IlmBase.pc
  DESTINATION
  lib/pkgconfig
)

=== libraries/ilmbase/Imath/CMakeLists.txt ===
# yue.nicholas@gmail.com

IF(BUILD_SHARED_LIBS)
    ADD_DEFINITIONS(-DIMATH_EXPORTS)
ENDIF()

ADD_LIBRARY ( Imath ${LIB_TYPE}
  ImathBox.cpp
  ImathRandom.cpp
  ImathColorAlgo.cpp
  ImathShear.cpp
  ImathFun.cpp
  ImathVec.cpp
  ImathMatrixAlgo.cpp
)
TARGET_LINK_LIBRARIES(Imath Iex)


INSTALL ( TARGETS
  Imath
  DESTINATION
  lib
)

INSTALL ( FILES 
  ImathBoxAlgo.h
  ImathBox.h
  ImathColorAlgo.h
  ImathColor.h
  ImathEuler.h
  ImathExc.h
  ImathExport.h
  ImathForward.h
  ImathFrame.h
  ImathFrustum.h
  ImathFrustumTest.h
  ImathFun.h
  ImathGL.h
  ImathGLU.h
  ImathHalfLimits.h
  ImathInt64.h
  ImathInterval.h
  ImathLimits.h
  ImathLineAlgo.h
  ImathLine.h
  ImathMath.h
  ImathMatrixAlgo.h
  ImathMatrix.h
  ImathNamespace.h
  ImathPlane.h
  ImathPlatform.h
  ImathQuat.h
  ImathRandom.h
  ImathRoots.h
  ImathShear.h
  ImathSphere.h
  ImathVecAlgo.h
  ImathVec.h
  DESTINATION
  include/OpenEXR
)

=== debian/changelog ===
povray (1:3.7.0.8-5) unstable; urgency=medium

  * The bullseye toolchain defaults to linking with --as-needed.
  * Switch to debhelper-compat (= 13).
  * Bump watch version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Jan 2021 03:55:46 +0100

povray (1:3.7.0.8-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Remove usage of AC_RUN_IFELSE to fix cross-building.  (Closes: #946477)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Dec 2019 02:14:52 +0100

povray (1:3.7.0.8-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Dec 2019 01:09:16 +0100

povray (1:3.7.0.8-2) experimental; urgency=medium

  * Use the autoconf-archive versions of ax_*.m4.  (Closes: #945259)
  * Fix more typos.
  * Fix building twice in a row.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Factor out a fonts-povray package.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Dec 2019 19:57:31 +0100

povray (1:3.7.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Mark povray as Multi-Arch: foreign.  (Closes: #911841)
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Dec 2018 04:20:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Andreas Beckmann <anbe@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
+ autoconf-archive,
  libpng-dev,
  zlib1g-dev,
  libx11-dev,
@@ -17,13 +18,14 @@
  libsdl-dev,
  libxpm-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 Homepage: http://www.povray.org
 Vcs-Browser: https://salsa.debian.org/debian/povray
 Vcs-Git: https://salsa.debian.org/debian/povray.git
 
 Package: povray
 Architecture: any
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: povray-includes
@@ -49,7 +51,7 @@
 Package: povray-includes
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: povray, ${misc:Depends}
+Depends: povray, fonts-povray, ${misc:Depends}
 Description: Persistence of vision raytracer (3D renderer) include files
  POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
  and light sources of the real world to calculate photorealistic, computer
@@ -65,6 +67,28 @@
  tools to generate (parts of) the scene.
  .
  This package contains architecture independent include files.
+
+Package: fonts-povray
+Section: fonts
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
+Description: Persistence of vision raytracer (3D renderer) fonts
+ POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
+ and light sources of the real world to calculate photorealistic, computer
+ generated images. Because of the nature of ray tracing, this process is
+ quite CPU-intensive, at the benefit of more realistic images compared to
+ real time rendering techniques. For example, in POV-Ray, you can model a
+ glass prism, and you will see a spectrum in the resulting image.
+ .
+ POV-Ray by itself is a command-line utility that will take scene
+ descriptions, written in a special easy-to-understand language, to
+ produce ray-traced images (or even a sequence of images, for animations).
+ You can either write those scene-descriptions by hand, or use external
+ tools to generate (parts of) the scene.
+ .
+ This package contains the fonts coming with povray.
 
 Package: povray-doc
 Section: doc

=== debian/watch ===
version=4
https://github.com/POV-Ray/povray/releases .*/v(.*).tar.gz
